/*
  author       : David Posada <dposada@variagenics.com>
  filename     : ghmm/tests/sequences_old_format.c
  created      : DATE: Februar 2002
  $Id: sequences_old_format.c 1451 2005-10-18 10:21:55Z grunau $
  __copyright__
*/

#ifdef HAVE_CONFIG_H
#include "../config.h"
#endif /* HAVE_CONFIG_H */

/* should be corrected with ghmm/sequence.c version 1.9 */
#include <stdio.h>
#include <ghmm/sequence.h>

#include <ghmm/obsolete.h>
   
int main()
{
#ifdef GHMM_OBSOLETE
    int test_result=0;
    const char* double_sequences_file="data/test100.sqd";
    ghmm_cseq **sqd = NULL;
    int sqd_number;
    const char* int_sequences_file="data/sequences_old_format.sq";    
    ghmm_dseq **data = NULL;
    int data_number;

    /* read double sequences (this works fine)*/
    fprintf(stderr,"reading double sequences from %s ...",double_sequences_file);
    sqd=ghmm_cseq_read((char*)double_sequences_file, &sqd_number);
    if (sqd==NULL) {
      test_result=1;
      fprintf(stdout, " Failed\n");
    }
    else {
      fprintf(stdout," Done\n");
      ghmm_cseq_free(sqd);
    }


     /* read int sequences (this gives a segmentation fault)*/
    fprintf(stderr,"reading int sequences from %s ...",int_sequences_file);
    data=ghmm_dseq_read((char*)int_sequences_file,&data_number);
    if (data==NULL) {
      test_result=1;
      fprintf(stdout, " Failed\n");
    }
    else {
      fprintf(stdout," Done\n");
      ghmm_dseq_free(data);
    }
    return test_result;
#else /* GHMM_OBSOLETE */
    return 0;
#endif /* GHMM_OBSOLETE */
}
